Broadcast
API reference for Broadcast
List broadcast destinations
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Query Parameters
Filter destinations by workspace ID. Omit to list all accessible destinations; when set, account-wide destinations (workspace_id null) are also included.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidResponse Body
application/json
curl -X GET "https://api.eurouter.ai/api/v1/broadcast-destinations"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "string",
"config": {
"property1": null,
"property2": null
},
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"privacy_mode": true,
"sampling_rate": "string",
"enabled": true,
"api_key_filter": [
"23024b0f-f909-46d9-aa54-3be62e40b7fa"
],
"created_at": "string",
"updated_at": "string"
}
]
}Create broadcast destination
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/broadcast-destinations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "langwatch", "config": { "property1": null, "property2": null } }'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "string",
"config": {
"property1": null,
"property2": null
},
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"privacy_mode": true,
"sampling_rate": "string",
"enabled": true,
"api_key_filter": [
"23024b0f-f909-46d9-aa54-3be62e40b7fa"
],
"created_at": "string",
"updated_at": "string"
}
}Test broadcast destination config
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/broadcast-destinations/test" \ -H "Content-Type: application/json" \ -d '{ "type": "langwatch", "config": { "property1": null, "property2": null } }'{
"data": {
"success": true,
"status": 0,
"message": "string"
}
}Get broadcast destination
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Path Parameters
Broadcast destination UUID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidResponse Body
application/json
curl -X GET "https://api.eurouter.ai/api/v1/broadcast-destinations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "string",
"config": {
"property1": null,
"property2": null
},
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"privacy_mode": true,
"sampling_rate": "string",
"enabled": true,
"api_key_filter": [
"23024b0f-f909-46d9-aa54-3be62e40b7fa"
],
"created_at": "string",
"updated_at": "string"
}
}Update broadcast destination
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Path Parameters
Broadcast destination UUID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.eurouter.ai/api/v1/broadcast-destinations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "string",
"config": {
"property1": null,
"property2": null
},
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"privacy_mode": true,
"sampling_rate": "string",
"enabled": true,
"api_key_filter": [
"23024b0f-f909-46d9-aa54-3be62e40b7fa"
],
"created_at": "string",
"updated_at": "string"
}
}Delete broadcast destination
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Path Parameters
Broadcast destination UUID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidResponse Body
application/json
curl -X DELETE "https://api.eurouter.ai/api/v1/broadcast-destinations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"data": {
"success": true
}
}Test saved broadcast destination
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Path Parameters
Broadcast destination UUID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidResponse Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/broadcast-destinations/497f6eca-6276-4993-bfeb-53cbbbba6f08/test"{
"data": {
"success": true,
"status": 0,
"message": "string"
}
}